# parallel\Events\Input::add

(0.9.0)

parallel\Events\Input::add — Entrées

### Description

public parallel\Events\Input::add(string `$target`, mixed `$value`): void

Définit une entrée pour la cible donnée.

### Exceptions

Avertissement

Lance une parallel\Events\Input\Error\Existence si l'entrée pour la cible existe déjà.

Avertissement

Lance une parallel\Events\Input\Error\IllegalValue si la valeur est illégale (objet, `null`).